# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/10/31
import datetime
import os
import random
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.zhihu_hot import ZhihuHot


class Main:
    @classmethod
    def main(cls, log_type, env):
        while True:
            Common.logger(log_type).info('开始抓取知乎热榜\n')
            ZhihuHot.get_hot_feeds(log_type, env)
            Common.del_logs(log_type)
            Common.logger(log_type).info('休眠 1 小时\n')
            time.sleep(3600)


if __name__ == '__main__':
    Main.main('hot', 'prod')
